<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>User Index</title>
  <link rel="stylesheet" type="text/css" href="styles.css">
</head>
<body>

<div class="nav">
  <a href="/">Back to Users List</a>
</div>

<div class="pic">
  <p>
    <a href="#" onclick="edit()">Edit</a>
    <a href="#" onclick="del()">Delete</a>
  </p>
</div>

<h1>{{user.name}}</h1>
<dl>
  <dt>Name</dt>
  <dd class="view">{{user.name}}</dd>
  <dd class="edit"><input id="name" type="text" value="{{user.name}}"></dd>
  <br>
  <dt>Age</dt>
  <dd class="view">{{user.age}}</dd>
  <dd class="edit"><input id="age" type="number" value="{{user.age}}"></dd>
  <br>
  <dt>Address</dt>
  <dd class="view">{{user.address}}</dd>
  <dd class="edit"><input id="address" type="text" value="{{user.address}}"></dd>
  <br>
  <dt>Favorite fruit</dt>
  <dd class="view">{{user.fruit}}</dd>
  <dd class="edit"><input id="fruit" type="text" value="{{user.fruit}}"></dd>
  <br>
  <dt></dt>
  <dd class="edit">
    <input type="submit" value="Save" onclick="save()">
    <input type="submit" value="Cancel" onclick="cancel()">
  </dd>
</dl>

<script>
  function edit() {
    [...document.querySelectorAll('.view')].forEach(el => el.style.display = 'none');
    [...document.querySelectorAll('.edit')].forEach(el => el.style.display = '');
  }

  function cancel() {
    [...document.querySelectorAll('.view')].forEach(el => el.style.display = '');
    [...document.querySelectorAll('.edit')].forEach(el => el.style.display = 'none');
  }

  function save() {
    fetch('/{{user.nickname}}', {
      method: 'put',
      headers: {
        'Content-Type': 'application/json'
      },
      body: JSON.stringify({
        name: document.querySelectorAll('#name')[0].value,
        age: document.querySelectorAll('#age')[0].value,
        address: document.querySelectorAll('#address')[0].value,
        fruit: document.querySelectorAll('#fruit')[0].value
      })
    }).then((response) => {
      location.reload();
    })
  }

  function del() {
    fetch('/{{user.nickname}}', {
      method: 'delete',
      headers: {
        'Content-Type': 'application/json'
      }
    }).then((response) => {
      location.href = '/';
    })
  }

  cancel()
</script>

</body>
</html>
